Welcome, Guest

Author Topic: Unity 5 Multiple plugins Error  (Read 5135 times)

Bobby

  • Posts: 87
    • View Profile
Unity 5 Multiple plugins Error
« on: March 05, 2015, 07:22:35 AM »
Hey guys,

If you upgrade to Unity 5 and have a Coherent UI Trial version, you might get an error in the editor stating:

Multiple plugins with the same name 'd3dcompiler_43' (found at 'Assets/CoherentUI/Binaries/CoherentUI_Host/windows/D3DCompiler_43.dll' and 'Assets/CoherentUI/Activator/D3DCompiler_43.dll'). That means one or more plugins are set to be compatible with Editor. Only one plugin at the time can be used by Editor.

This error message is safe to ignore. Due to recent changes in the Unity 5 Game Engine one of the DLLs that is needed to run our content is detected as a duplicate.
We will be fixing this in a future version.

In the mean time here is quick fix if you are starting up with a fresh installation and account:
Note: In case your account has already been activated in a previous version, proceed to step 5.

1. Create your project and Import the CoherentUI_x_x_x_Trial unity package. (At this point you will start seeing the error)
2. After importing, open up one of the Sample projects from you Project panel under Assets>CoherentUI>Samples>Scenes
3. Load one of the Samples and press Play. This should trigger the Coherent UI Activation Window.
4. After you have completed the Activation process, close the editor.
5. Navigate to the Activator folder located under YourUnityProject\Assets\CoherentUI\Activator and delete the D3DCompiler_43.dll and D3DCompiler_43.meta files.

This will fix the problem for now. We will post an update when we have more information regarding a fix.